Das Projekt wurde nicht erstellt, da sein Erstellungspfad unvollständig ist

Lesezeit: 6 Minuten

Jedes Mal, wenn ich versuche, ein Projekt zu importieren, das von heruntergeladen wurde Googlecode in Eclipse, aber ich bekomme einige Fehler:

Das Projekt wurde nicht erstellt, da sein Erstellungspfad unvollständig ist. Die Klassendatei für java.lang.Object kann nicht gefunden werden. Korrigieren Sie den Erstellungspfad und versuchen Sie dann, dieses Projekt zu erstellen

Ziel „android-10“ kann nicht aufgelöst werden (Änderung von 1 auf 15)

Ich habe bereits die anderen Antworten auf der Website überprüft, aber keine Lösung hat funktioniert.

Im

Eigenschaften -> Java-Erstellungspfad -> Bibliotheken

Es gibt 1 Artikel:

Systembibliotheken für das Projekt konnten nicht abgerufen werden

Klicken Sie mit der rechten Maustaste auf Projekt -> Eigenschaften -> Java-Erstellungspfad (aus der linken Liste) -> Bibliotheken (Registerkarte) -> Bibliothek hinzufügen (Schaltfläche rechts) -> JRE-Systembibliothek -> Weiter -> Standard-JRE des Arbeitsbereichs -> Fertig stellen

Dies sollte mindestens einen Ihrer Fehler beheben. Bei allen anderen müssen Sie möglicherweise weitere Bibliotheken hinzufügen.

Hoffe das hilft.

  • Es gibt mir noch mehr Fehler (es konnte die Android JRE nicht erkennen …)

    – EGO-Aufzeichnungen

    6. März 2013 um 10:23 Uhr

  • Ja, es könnte Ihnen mehr Fehler geben, das macht Sinn. Weil es normalerweise nichts finden kann, bleibt es hängen und meldet ein paar Fehler. Dann findet es ihn und meldet noch mehr Fehler, weil es feststellt, dass noch etwas fehlt. Sie sind also auf dem richtigen Weg. Das Android-JRE-Problem ist ein weiteres Problem, nicht das gleiche. Versuchen Sie Folgendes, um das Android-JRE-Problem zu lösen: Klicken Sie mit der rechten Maustaste auf Projekt -> Eigenschaften -> Java-Erstellungspfad (aus der linken Liste) -> Bibliotheken (Registerkarte) -> Externe JARs hinzufügen -> Navigieren Sie zur Android-JRE -> Klicken Sie darauf – > Öffnen

    – Steve

    6. März 2013 um 14:15 Uhr


  • Wenn das nicht funktioniert, gib mir deinen Code, damit ich nachprüfe, was los ist.

    – Steve

    6. März 2013 um 14:16 Uhr

  • es hat funktioniert, nachdem ich bereits die android.jar hinzugefügt hatte, in der ich endlich ein Häkchen setzen musste, um externe Abhängigkeiten zu verwenden. Endlich gelöst 😉 Denken Sie daran: Niemals Projekte in Eclipse übertragen … funktioniert nie.

    – EGO-Aufzeichnungen

    7. März 2013 um 6:34 Uhr

  • Nachdem ich Steve gefolgt bin. Problemlösung nach Neustart von Eclipse

    – Zar E. Ahmer

    31. Juli 2015 um 7:31 Uhr

Benutzer-Avatar
Hevski

Eclipse schließen und erneut öffnen hat bei mir funktioniert. Möglicherweise müssen Sie dies zwei- oder dreimal tun. Warten Sie jedes Mal eine Minute, bis der Autobuild-Startvorgang abgeschlossen ist (überprüfen Sie die untere rechte Ecke), da diese Fehler zu diesem Zeitpunkt häufig verschwinden.

Oder versuchen Sie, die betroffenen Projekte zu bereinigen.

‘Schalten Sie es aus und wieder ein’

  • Alle Jungo-Bungo-Einstellungen vorgenommen, alle rückgängig gemacht, Eclipse neu gestartet, das ist die funktionierende Magie!

    – Tarek Eldeeb

    10. Oktober 2013 um 13:13 Uhr

  • Dies sollte die richtige Antwort sein, habe versucht, das oben Gesagte zu befolgen, und bin nirgendwo hingekommen … (Mit Android 4.2). Neustart und wie durch Zauberei funktionierte alles wieder.

    – sradforth

    12. Januar 2014 um 22:28 Uhr

  • Das hat bei mir funktioniert, anscheinend dauert es einige Zeit, bis Eclipse alles geladen hat, was es von Java benötigt, nachdem ich lange genug gewartet habe, sind die Fehler ohne weiteres Zutun von mir verschwunden.

    – Aviad P.

    4. März 2014 um 17:39 Uhr

  • Hatte dieses Problem schon einmal und ein Neustart hat (fast) immer funktioniert. Diesmal hat es jedoch nicht funktioniert, aber nachdem ich gesehen habe, dass Sie zwei- oder dreimal neu gestartet haben, habe ich noch einmal neu gestartet, und jetzt funktioniert es. So danke.

    – Kevin Cruijssen

    12. Mai 2014 um 7:25 Uhr

  • Trotzdem möchte ich aus Neugier wissen, warum dies überhaupt passiert ist, wenn ein Neustart von Eclipse eine Lösung ist.

    – Himanshu Aggarwal

    13. August 2014 um 19:05 Uhr

Benutzer-Avatar
Konstantin Pribluda

Es scheint, dass Ihnen JDK fehlt (java.lang.Object kommt von dort)

Das Problem ist, dass Sie dieselbe Android-API auf verschiedenen PCs verwendet haben. Eclipse geht bei unterschiedlichen Pfadnamen mit derselben API verloren.

Um es zu lösen, wählen Sie zuerst die Android-API-Version erneut aus (setzen Sie sie auf eine andere und gültige, stellen Sie dann die gewünschte Version wieder her und validieren Sie sie -> Eclipse wird gezwungen, die API neu zu laden). Gehen Sie dann zu Projekt-> Eigenschaften-> Java-Erstellungspfad. Entfernen Sie dann „Systembibliothek für das Projekt kann nicht abgerufen werden“, dann „Bibliothek hinzufügen“ und wählen Sie „Android Classpath-Container“.

  • Dies geschieht nur, wenn ich von anderen Personen erstellte Projekte importiere. Projekt von mir funktioniert gut.

    – Angelo Tricarico

    18. Februar 2012 um 15:27 Uhr

  • Eclipse ist beschissen, wenn es darum geht, Projektdateien zwischen Computern auszutauschen – sie sind nicht portabel. Erstellen Sie das Projekt einfach von Grund auf neu (oder verwenden Sie eine bessere IDE wie IDEA)

    – Konstantin Pribluda

    18. Februar 2012 um 15:44 Uhr


  • Eclipse versteht Portabilität und gemeinsame Nutzung nicht.

    – Schrittmacher

    12. November 2014 um 3:27 Uhr

Benutzer-Avatar
Anup

Anfangs habe ich versucht, ein Android-Projekt von Github zu importieren, und bin auf das obige Problem gestoßen

  • Build-Pfad kann nicht konfiguriert werden

  • Systembibliotheken können nicht abgerufen werden


Package Explorer -> Rechtsklick auf das Projekt -> „Properties“ -> „Android“ -> „Project Build Target“ = 2.3.3

Hinweis: Versuchen Sie auch, nach dem Zufallsprinzip zu bereinigen (unter Windows: Projekt -> bereinigen) und dann aktualisieren (F5). Es besteht eine gute Chance, dass dies alle Ihre Probleme auf magische Weise löst.


Anstand: KYLE CLEGG
Referenzlink

Nichts davon hat bei mir funktioniert. Ich habe einen neuen Arbeitsbereich für die Projekte erstellt. Das hat bei mir funktioniert! Der Wechsel zu einem neuen Arbeitsbereich löst normalerweise viele dieser Konfigurationsprobleme auf wundersame Weise. Erstellen Sie einfach einen neuen Ordner, in dem sich Ihr neuer Arbeitsbereich befinden soll, und verwenden Sie dann „Projekt aus vorhandenem Code importieren“.

  • oder gehen Sie zu Ihrem Workspace-Verzeichnis und entfernen Sie den versteckten Ordner .metadata, es hat den gleichen Effekt und funktioniert für mich. Danke

    – Ohad Cohen

    8. August 2014 um 0:03 Uhr

  • hat bei mir leider nicht funktioniert

    – Prashant Joshi

    2. Januar um 14:59 Uhr

Benutzer-Avatar
Sae1962

Gehen Sie zu Eclipse → Einstellungen → Java → Pfad erstellen.

Siehst du ein JRE_LIB dort konfiguriert? Wenn nicht, fügen Sie hinzu JRE_LIB aus JDK/jre lib Lage. Diese können pro Projekt überschrieben werden. Es scheint, dass Ihre Eclipse keine Java-Bibliotheken kennt.

  • oder gehen Sie zu Ihrem Workspace-Verzeichnis und entfernen Sie den versteckten Ordner .metadata, es hat den gleichen Effekt und funktioniert für mich. Danke

    – Ohad Cohen

    8. August 2014 um 0:03 Uhr

  • hat bei mir leider nicht funktioniert

    – Prashant Joshi

    2. Januar um 14:59 Uhr

Benutzer-Avatar
Sonne

Ich habe solche Fehler in der Vergangenheit beim Importieren von Projekten in Eclipse gesehen. Die Lösung dafür ist, zu Properties->Android zu gehen und das Projekt-Build-Ziel entsprechend auszuwählen (Android xxx oder Google APIs).

  • Vielen Dank. Nachdem ich einige Zeit stecken geblieben bin, funktioniert diese Methode endlich für mich. Du rettest mich. Vielen, vielen Dank!!!!!

    – Benutzer2301281

    24. Juli 2014 um 18:53 Uhr

1226310cookie-checkDas Projekt wurde nicht erstellt, da sein Erstellungspfad unvollständig ist

This website is using cookies to improve the user-friendliness. You agree by using the website further.

Privacy policy